Subject: Taiwan machines

From: [email-masked](Michael A. Moore)
Date: 27 Apr 1996 23:49:36 GMT

I've noticed some threads about the import machines.  I think that if you
shop carefully you can get an excellent deal.  I have a 10x24 Select lathe
and a 2hp Bridgeport copy Samson mill.  They have given excellent service,
and the mill checked out within Bridgeport specs on table runout when I got
it.  Remember, for the hobby shop you don't need to be concerned about the
ability to run 3 shifts a day, 7 days a week. 
 
Another plus is that the money you spend on an import with tooling will
match the price for a bare Bridgeport (I checked).  I've also been told
that Bridgeport is sourcing its main castings from overseas anyway. 
 
Michael Moore 
SF, CA